﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "Personnel:Personnel:string:24%", "Telephone:Téléphone:string:17%", "Login:Login:string:20%", "Profil:Profil:stringdrop:18%", "Statut:Statut:stringdrop:18.6%"];
</script>

<input id="clientUrl" value="/Utilisateur_Client/Index/" type="hidden" />
<input id="actifsupUrl" value="/utilisateurs/supprimer/" type="hidden" />
<input id="reinitUrl" value="/utilisateurs/Reinitialiser/" type="hidden" />
<input id="modUrl" value="/utilisateurs/modifier/" type="hidden" />
<input id="ajoutUrl" value="/utilisateurs/ajouter" type="hidden" />
<input id="LoardUrl" value="/utilisateurs/ajax" type="hidden" />

<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>Confirmation</div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>

<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous supprimer ces enrégistrement ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>
<span style="font-weight: bold"></span>
<div class="boutons text-left">
    <table>
        <tr>
            @if (cmd.Contains("Ajouter_Utilisateur"))
            {
                <td>
                    <button title="Ajouter" type="button" id="ajout" class="btn btn-default oufbutton SansIdentifiant"><i class="ouf-add"></i>Ajouter</button>
                </td>
            }
            @if (cmd.Contains("Modifier_Utilisateur"))
            {
                <td>
                    <button title="Modifier" type="button" id="mod" class="btn btn-default oufbutton AvecIdentifiant"><i class="ouf-edit"></i>Modifier</button>
                </td>
            }
            @if (cmd.Contains("Reinitaliser_Utilisateur"))
            {
                <td>
                    <button title="Réinitialiser" type="button" id="reinit" class="btn btn-default oufbutton AvecIdentifiant"><i class="ouf-switch"></i>Réinitialiser</button>
                </td>
            }

            @if (cmd.Contains("Activer_suspendre_Utilisateur"))
            {
                <td>
                    <button title='Actif/Susp' id='actifsup' class='btn btn-default oufbutton AvecIdentifiantSanspopup'><i class='ouf-switch'></i>Activer / Suspendre</button>
                </td>
            }
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if (cmd.Contains("Modifier_Utilisateur"))
        {
            WriteLiteral("<li><i class='ouf-edit'></i> Modifier</li>");
        }
        @if (cmd.Contains("Reinitaliser_Utilisateur"))
        {
            WriteLiteral("<li><i class='ouf-switch'></i> Réinitialiser</li>");
        }

        @if (cmd.Contains("Activer_suspendre_Utilisateur"))
        {
            WriteLiteral("<li><i class='ouf-switch'></i> Actif/Susp</li>");
        }
    </ul>
</div>
